export interface configInterface {
    canvas?: HTMLCanvasElement;
    canvasId?: string;
    canvasClass?: string;
    width?: number;
    height?: number;
    color?: string;
    background?: string;
    labelColor?: string;
    labelFontSize?: number;
    labelFontFamily?: string;
    lineWidth?: number;
    scale?: number;
    start?: number;
    beginOffset?: number;
    endOffset?: number;
}
declare type ArrayLengthMutationKeys = 'splice' | 'push' | 'pop' | 'shift' | 'unshift';
export declare type FixedLengthArray<T, L extends number, TObj = [T, ...Array<T>]> = Pick<TObj, Exclude<keyof TObj, ArrayLengthMutationKeys>> & {
    readonly length: L;
    [I: number]: T;
    [Symbol.iterator]: () => IterableIterator<T>;
};
export declare type Point = FixedLengthArray<number, 2>;
export {};
